#include <stdio.h>  // For printf, FILE* fopen ...
#include <stdlib.h> // For atoi
int main(int argc, char** argv)
{
	if(argc<3){ printf("Usage: %s file min-empty-space\n", argv[0]); return 1; }
	unsigned minspace=(unsigned) atoi(argv[2]);
	FILE* fp=fopen(argv[1], "rb");
	if(!fp) { printf("File %s could't be opened!\n", argv[1]); return 1; }
	for(unsigned i=0; !feof(fp); ++i)
	{
		unsigned nspace=0;
		unsigned startaddress=i;
		while(fgetc(fp)=='\0') { ++i; ++nspace; }
		if(nspace >= minspace) printf("Found %d (0x%x) bytes of free space at %x.\n", nspace, nspace, startaddress);
	}
	fclose(fp);
	return 0;
}
